Skip to main content
Resource Center/Resource Pool/Volume Operations
GETVolume OperationsSince 0.6SynchronousAuth Required

QueryVolumeSnapshot

QueryVolumeSnapshot

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      类型。

    • volumeUuidStringRequired

      The volume UUID.

    • treeUuidStringRequired

      树UUID。

    • parentUuidStringRequired

      父级资源UUID。

    • primaryStorageUuidStringRequired

      The primary storage UUID.

    • primaryStorageInstallPathStringRequired

      主存储安装路径。

    • volumeTypeStringRequired

      量类型。

    • formatStringRequired

      数据格式或导出格式。

    • latestBooleanRequired

      最新。

    • sizeLongRequired

      返回记录数。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • backupStorageRefsListRequired

      See backupStorageRefs.

      • volumeSnapshotUuidStringRequired

        The volume snapshot UUID.

      • backupStorageUuidStringRequired

        The backup storage UUID.

      • installPathStringRequired

        安装路径。

Endpoint

GET/zstack/v1/volume-snapshots

/zstack/v1/volume-snapshots

Operation ID

QueryVolumeSnapshot

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/volume-snapshots' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "492ebccdeb804e308361b08e4f0e9a7a", "name": "My Snapshot 2", "primaryStorageUuid": "/Cloud_ps/rootVolumes/acct-e77f16d460ea46e18262547b56972273/vol-13c66bb52d0949398e520183b917f813/snapshots/2fa6979af5c6479fa98f37d316f44b5f.qcow2", "volumeType": "Root", "format": "qcow2", "latest": false, "size": 1310720.0, "state": "Enabled", "status": "Ready" } ] }

Change History

This API has no change history records yet.

View all change history